[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# SetDate

Set the current system date.

## Declaration

Source position: oldlinux.pp line 1326

`function SetDate(`
`Year: Word;`
`Month: Word;`
`Day: Word`
`):Boolean;`

## Description

SetDate sets the system date to year, month, day. This is the kernel date, so it is in GMT. The time is not touched. The function returns True if the call was executed corretly, False otherwise.

Remark: | You must be root to execute this call.

## Errors

Errors are returned in LinuxError

## See also

GetDate |  | Return the system date
SetTime |  | Set the current system time.
SetDateTime |  | Set the current system date and time

Documentation generated on: Feb 26 2014